Springboot2.0+Druid 报ClassNotFoundException DataSourcePoolMetadataProvider问题

JAVA herman 563浏览 0评论

最近在学习 Springboot。在使用数据库连接池时,用到了 Druid,但是结果却报 ClassNotFoundException DataSourcePoolMetadataProvider 异常。

经过和官方开发人员的沟通,发现是兼容性问题,目前升级到最新版本,或者使用 1.1.8 以上的版本。

在官方 github 上,我们看到 druid-1.1.9 的发布,最重要的是支持Spring-boot 2.0的。

Druid 从发布的内容来看,一次性解决了十几个 bug。

业余草公众号

最后,欢迎关注我的个人微信公众号:业余草(yyucao)!

本文原文出处:业余草: » Springboot2.0+Druid 报ClassNotFoundException DataSourcePoolMetadataProvider问题